myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Travis D (JIRA)" <...@myfaces.apache.org>
Subject [jira] Created: (MYFACES-1629) When upgraded from myfaces 1.1.4 to 1.1.5 I am receiving log messages about having both RI and Myfaces JSF implementation running.
Date Fri, 11 May 2007 15:41:15 GMT
When upgraded from myfaces 1.1.4 to 1.1.5 I am receiving log messages about having both RI
and Myfaces JSF implementation running.
----------------------------------------------------------------------------------------------------------------------------------

                 Key: MYFACES-1629
                 URL: https://issues.apache.org/jira/browse/MYFACES-1629
             Project: MyFaces Core
          Issue Type: Bug
    Affects Versions: 1.1.5
         Environment: WAS 6 - myfaces 1.1.5 / tomahawk 1.1.5
            Reporter: Travis D


I am receiving these messages when navigating through my application right after startup.

[5/11/07 11:35:11:760 EDT] 0000002b MyfacesConfig I org.apache.myfaces.shared_impl.config.MyfacesConfig
getCurrentInstance Starting up Tomahawk on the RI-JSF-Implementation.
[5/11/07 11:35:11:775 EDT] 0000002b MyfacesConfig I org.apache.myfaces.shared_impl.config.MyfacesConfig
getCurrentInstance Starting up Tomahawk on the MyFaces-JSF-Implementation
[5/11/07 11:35:11:775 EDT] 0000002b MyfacesConfig E org.apache.myfaces.shared_impl.config.MyfacesConfig
getCurrentInstance Both MyFaces and the RI are on your classpath. Please make sure to use
only one of the two JSF-implementations.

I don't have any RI jars in my classpath that should cause this.. I have the same set of jars
with the exception of the 1.1.5 jars instead of 1.1.4.  There is nothing else that changed.
 I can physically remove the jsf-api.jar and ws-jsf.jar from the IBM runtime library locally
and run successfully, but that is not a solution on a production system.  

Was there anything that changed with these three jars (myfaces-api-1.1.5.jar, myfaces-impl-1.1.5.jar,
and tomahawk-1.1.5.jar that are loading the RI jars?

Thanks.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message